import request from '@/router/axios';
//分页获取台账

//词典接口
export const page = (params) => {
    return request({
        url: '/api/blade-manager/synchronousRecord/page',
        method: 'get',
        params
    })
}
//获取当前项目的模板项目

export const getTempProject = (params) => {
    return request({
        url: '/api/blade-manager/synchronousRecord/getTempProject',
        method: 'get',
        params
    })
}
//新增数据

export const addSync = (projectInfo) => {
    return request({
        url: '/api/blade-manager/synchronousRecord/add',
        method: 'post',
        data: projectInfo
    })
}

//是否同步

export const getNodeStatus = (projectInfo) => {
    return request({
        url: '/api/blade-manager/synchronousRecord/getNodeStatus',
        method: 'post',
        params: projectInfo
    })
}

export const getById = (params) => {
    return request({
        url: '/api/blade-manager//synchronousRecord/getById',
        method: 'get',
        params
    })
}